Subject: Re: linux-next: build warning after merge of the usb tree

From: Greg KH <[email-masked]>
Date: Mon, 17 May 2010 11:01:15 -0700

On Mon, May 17, 2010 at 04:09:58PM +1000, Stephen Rothwell wrote:
> Hi Greg,
> 
> After merging the usb tree, today's linux-next build (powerpc
> ppc44x_defconfig) produced this warning:
> 
> drivers/usb/core/usb.c:596: warning: 'match_device' defined but not used
> 
> Introduced by commit c8a3789b05e2ed43d8fd98934edbf66587cd3f96 ("USB:
> remove usb_find_device") which removed the last user of this function.

Thanks, Ming just sent me a patch to resolve this, I'll go apply it now.

greg k-h